import { _ as __makeTemplateObject } from './tslib.es6-72b15d70.js';
import { Y as Ye } from './styled-components.esm-a6b25914.js';

var COLOR_TYPE;
(function (COLOR_TYPE) {
    COLOR_TYPE[COLOR_TYPE["color"] = 0] = "color";
    COLOR_TYPE[COLOR_TYPE["background_color"] = 1] = "background_color";
    COLOR_TYPE[COLOR_TYPE["border_color"] = 2] = "border_color";
})(COLOR_TYPE || (COLOR_TYPE = {}));
var COLORS = {};
COLORS[COLOR_TYPE.color] = {
    primary_solid: 'var(--ds-color-text-inverse)',
    secondary_solid: 'var(--ds-color-text-inverse)',
    error_solid: 'var(--ds-color-text-inverse)',
    success_solid: 'var(--ds-color-text-inverse)',
    alert_solid: 'var(--ds-color-text-inverse)',
    primary_outline: 'var(--ds-color-ui-primary)',
    secondary_outline: 'var(--ds-color-brand-primary-main)',
    error_outline: 'var(--ds-color-ui-error-default)',
    success_outline: 'var(--ds-color-ui-success-default)',
    alert_outline: 'var(--ds-color-ui-alert-default)'
};
COLORS[COLOR_TYPE.background_color] = {
    primary_solid: 'var(--ds-color-ui-primary)',
    secondary_solid: 'var(--ds-color-brand-primary-main)',
    error_solid: 'var(--ds-color-ui-error-default)',
    success_solid: 'var(--ds-color-ui-success-default)',
    alert_solid: 'var(--ds-color-ui-alert-default)',
    primary_outline: 'none',
    secondary_outline: 'none',
    error_outline: 'none',
    success_outline: 'none',
    alert_outline: 'none'
};
COLORS[COLOR_TYPE.border_color] = {
    primary_solid: 'none',
    secondary_solid: 'none',
    error_solid: 'none',
    success_solid: 'none',
    alert_solid: 'none',
    primary_outline: 'var(--ds-color-ui-primary)',
    secondary_outline: 'var(--ds-color-brand-primary-main)',
    error_outline: 'var(--ds-color-ui-error-default)',
    success_outline: 'var(--ds-color-ui-success-default)',
    alert_outline: 'var(--ds-color-ui-alert-default)'
};
var getColor = function (props, colorType) {
    if (colorType === void 0) { colorType = COLOR_TYPE.background_color; }
    var type = props.type || 'primary';
    var variant = props.variant || 'solid';
    return COLORS[colorType]["".concat(type, "_").concat(variant)];
};
var DsTag = Ye.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  height: fit-content;\n  display: inline-block;\n  padding: 0 var(--ds-space-2);\n  white-space: nowrap;\n  border-radius: var(--ds-border-radius-m);\n  border-style: solid;\n  border-width: 1px;\n  font-size: 11px;\n  border-color: transparent;\n  background-color: ", ";\n  border-color: ", ";\n  color: ", ";\n"], ["\n  height: fit-content;\n  display: inline-block;\n  padding: 0 var(--ds-space-2);\n  white-space: nowrap;\n  border-radius: var(--ds-border-radius-m);\n  border-style: solid;\n  border-width: 1px;\n  font-size: 11px;\n  border-color: transparent;\n  background-color: ", ";\n  border-color: ", ";\n  color: ", ";\n"])), function (props) { return getColor(props, COLOR_TYPE.background_color); }, function (props) { return getColor(props, COLOR_TYPE.border_color); }, function (props) { return getColor(props, COLOR_TYPE.color); });
var templateObject_1;

export { DsTag as D };
